<?php ob_start('ob_gzhandler') ?>
<?
if (isset($_GET['item'])) {
  $item=$_GET['item'];
  $doc = new DOMDocument();
  $doc->load('http://weather/weather/all-output.xml');
  $arrFeeds = array();
  foreach ($doc->getElementsByTagName('weather') as $node) {
    $itemRSS = array ( 
      $item => $node->getElementsByTagName($item)->item(0)->nodeValue,
      );
    array_push($arrFeeds, $itemRSS);
  }
}
?>
<!DOCTYPE html>
<html>
<head>
    <script src="../libraries/RGraph.common.core.js" ></script>
    <script src="../libraries/RGraph.common.context.js" ></script>
    <script src="../libraries/RGraph.common.annotate.js" ></script>
    <script src="../libraries/RGraph.common.zoom.js" ></script>
    <script src="../libraries/RGraph.odo.js" ></script>

    <script>
       window.onload = function ()
        {
            // ID, MINIMUM, MAXIMUM, INDICATED VALUE
            var odo2 = new RGraph.Odometer('odo2', 0, 360, <? echo $itemRSS[$item]; ?>);
            odo2.Set('chart.annotatable', false);
            //odo2.Set('chart.needle.thickness', 6);
            odo2.Set('chart.needle.color', 'black');
            odo2.Set('chart.needle.tail', false);
            //odo2.Set('chart.needle.type', 'triangle');
            odo2.Set('chart.label.area', 22);
            odo2.Set('chart.contextmenu', [['Clear', function () {RGraph.Clear(odo2.canvas); odo2.Draw();}]]);
            //odo2.Set('chart.border', document.all ? false : true);
            //odo2.Set('chart.tickmarks.highlighted', true);
            odo2.Set('chart.labels', ['N','NE','E','SE','S','SW','W','NW']);
            odo2.Set('chart.red.min', 360);
            odo2.Set('chart.red.color', 'gray');
            //odo2.Set('chart.value.text', true);
            odo2.Set('chart.value.units.post', ' degrees');
            odo2.Draw();
        }
    </script>
</head>
<body>

    <div style="text-align: center">
        <canvas id="odo2" width="200" height="200"><div class="canvasfallback">[No canvas support]</div></canvas>
    </div>

</body>
</html>
